SSO
Create or replace the SAML SSO configuration
The service provider keypair and its self-signed certificate are generated server side, and kept as-is when the configuration already has one
PUT
/
sso
/
config
Create or replace the SAML SSO configuration
curl --request PUT \
--url https://api.reelevant.com/v2/sso/config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domains": [
"<string>"
],
"metadata": "<string>",
"propertyLookup": {},
"mode": "invitation",
"mandatory": true
}
'import requests
url = "https://api.reelevant.com/v2/sso/config"
payload = {
"domains": ["<string>"],
"metadata": "<string>",
"propertyLookup": {},
"mode": "invitation",
"mandatory": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domains: ['<string>'],
metadata: '<string>',
propertyLookup: {},
mode: 'invitation',
mandatory: true
})
};
fetch('https://api.reelevant.com/v2/sso/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"message": "<string>",
"data": {
"configured": true,
"domains": [
"<string>"
],
"metadata": "<string>",
"propertyLookup": {},
"mode": "invitation",
"mandatory": true,
"serviceProvider": {
"entityId": "<string>",
"callbackUrl": "<string>",
"loginUrls": [
{
"domain": "<string>",
"url": "<string>"
}
],
"metadataUrl": "<string>",
"certificate": "<string>"
},
"identityProviderEntityId": "<string>",
"lastLoginAt": "2023-11-07T05:31:56Z"
},
"code": 123
}{
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"status": "fail",
"code": 123,
"message": "<string>",
"data": {},
"error_code": 123
}{
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"status": "fail",
"code": 123,
"message": "<string>",
"data": {},
"error_code": 123
}{
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"status": "fail",
"code": 123,
"message": "<string>",
"data": {},
"error_code": 123
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Was this page helpful?
⌘I
Create or replace the SAML SSO configuration
